summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Fernando Giannasi2013-10-27 05:42:47 +0100
committer Robby Workman2013-10-28 05:38:59 +0100
commit060251d26de6ed8bc75aa6d4d4d2a56eb7ed1efa (patch)
treedd541f8d7b9b6a7a7e1288f55655b3acd670b934
parent03573f429450b1f51780ea5f4cc32dfdccd20ca9 (diff)
downloadslackbuilds-060251d26de6ed8bc75aa6d4d4d2a56eb7ed1efa.tar.gz
network/nbtscan: Added (scanner for open NETBIOS nameservers)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--network/nbtscan/README5
-rw-r--r--network/nbtscan/nbtscan.SlackBuild75
-rw-r--r--network/nbtscan/nbtscan.info10
-rw-r--r--network/nbtscan/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/network/nbtscan/README b/network/nbtscan/README
new file mode 100644
index 0000000000..67f651f479
--- /dev/null
+++ b/network/nbtscan/README
@@ -0,0 +1,5 @@
+This is a command-line tool that scans for open NETBIOS nameservers
+on a local or remote TCP/IP network, and this is a first step in
+finding of open shares. It is based on the functionality of the
+standard Windows tool nbtstat, but it operates on a range of
+addresses instead of just one.
diff --git a/network/nbtscan/nbtscan.SlackBuild b/network/nbtscan/nbtscan.SlackBuild
new file mode 100644
index 0000000000..58673fab5a
--- /dev/null
+++ b/network/nbtscan/nbtscan.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+
+# Slackware build script for nbtscan
+
+# Copyright 2013 - Fernando Giannasi - São Paulo - Brasil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=nbtscan
+VERSION=${VERSION:-1.0.35}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-source-$VERSION.tgz
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make all
+strip --strip-unneeded nbtscan 2> /dev/null || true
+
+mkdir -p $PKG/usr/sbin
+cp nbtscan $PKG/usr/sbin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/nbtscan/nbtscan.info b/network/nbtscan/nbtscan.info
new file mode 100644
index 0000000000..a15db43b02
--- /dev/null
+++ b/network/nbtscan/nbtscan.info
@@ -0,0 +1,10 @@
+PRGNAM="nbtscan"
+VERSION="1.0.35"
+HOMEPAGE="www.unixwiz.net/tools/nbtscan.html"
+DOWNLOAD="http://www.unixwiz.net/tools/nbtscan-source-1.0.35.tgz"
+MD5SUM="ec21e504d27acb2a0f049c7421ace462"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Giannasi"
+EMAIL="phoemur@gmail.com"
diff --git a/network/nbtscan/slack-desc b/network/nbtscan/slack-desc
new file mode 100644
index 0000000000..136f4548f6
--- /dev/null
+++ b/network/nbtscan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nbtscan: nbtscan (scanner for open NETBIOS nameservers)
+nbtscan:
+nbtscan: This is a command-line tool that scans for open NETBIOS nameservers
+nbtscan: on a local or remote TCP/IP network, and this is a first step in
+nbtscan: finding of open shares. It is based on the functionality of the
+nbtscan: standard Windows tool nbtstat, but it operates on a range of
+nbtscan: addresses instead of just one.
+nbtscan:
+nbtscan: http://www.unixwiz.net/tools/nbtscan.html
+nbtscan:
+nbtscan: